Package org.gradle.tooling.model.cpp

# Interface CppBinary

All Known Subinterfaces:
  `CppExecutable`, `CppSharedLibrary`, `CppStaticLibrary`

public interface CppBinary
Represents a C++ binary.

Since:
  4.10

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseName()`
  Returns the base name of this binary.
  `CompilationDetails`
  `getCompilationDetails()`
  Returns the compilation details.
  `LinkageDetails`
  `getLinkageDetails()`
  Returns the linkage details.
  `String`
  `getName()`
  Returns the name of this binary.
  `String`
  `getVariantName()`
  Returns the variant name of this binary.

- ## Method Details

  - ### getName

    String getName()
    Returns the name of this binary. This is used to disambiguate the binaries of a project. Each binary has a unique name within its project. However, these names are not unique across multiple projects.

  - ### getVariantName

    String getVariantName()
    Returns the variant name of this binary. This is used to disambiguate the binaries of a component. Each binary has a unique variant name within its component. However, these names are not unique across multiple projects or components.

  - ### getBaseName

    String getBaseName()
    Returns the base name of this binary. This is used to calculate output file names.

  - ### getCompilationDetails

    CompilationDetails getCompilationDetails()
    Returns the compilation details.

  - ### getLinkageDetails

    LinkageDetails getLinkageDetails()
    Returns the linkage details.